From 24a6f3abbcad3a2169db1196cfcafc3918bf483b Mon Sep 17 00:00:00 2001
From: xiaoxiaoafeifei <lliangliang2007@163.com>
Date: Fri, 21 Apr 2023 13:01:34 +0000
Subject: countInkNamesString(): fix `UndefinedBehaviorSanitizer`: applying
 zero offset to null pointer

---
 libtiff/tif_dir.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/libtiff/tif_dir.c b/libtiff/tif_dir.c
index 682c2e56..5f05724d 100644
--- a/libtiff/tif_dir.c
+++ b/libtiff/tif_dir.c
@@ -147,10 +147,10 @@ static uint16
 countInkNamesString(TIFF *tif, uint32 slen, const char *s)
 {
 	uint16 i = 0;
-        const char *ep = s + slen;
-        const char *cp = s;
 
 	if (slen > 0) {
+                const char *ep = s + slen;
+                const char *cp = s;
                 do {
 			for (; cp < ep && *cp != '\0'; cp++) {}
 			if (cp >= ep)
-- 
2.30.2

